--

with Ada.Text_IO;
with Ada.Exceptions;

with Prime_Numbers;
with Printer;

procedure Prime_Numbers_Test is
   use Ada;
   use Printer;
begin

   Printer_Task.Print ("## Prime_Numbers_Test: Beginning ...");

   Prime_Numbers.Start;

   Printer_Task.Print ("## Prime_Numbers_Test: End.");
   Text_IO.Skip_Line;

exception
   when Event : others =>
      Printer_Task.Print ("#! Prime_Numbers_Test: EXCEPTION");
      Printer_Task.Print (Ada.Exceptions.Exception_Information (Event));
      Printer_Task.Print ("## Enter CR to finish ...");

      Text_IO.Skip_Line;

end Prime_Numbers_Test;
